package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 测试学生对象 learn_test_student
 * 
 * @author ruoyi
 * @date 2025-09-18
 */
public class LearnTestStudent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 批次学生id */
    private String id;

    /** 批次id */
    @Excel(name = "批次id")
    private Long batchId;

    /** 学生id */
    @Excel(name = "学生id")
    private Long studentId;

    /** 定向标识学生可能有多个 */
    @Excel(name = "定向标识学生可能有多个")
    private String directKey;

    /** 批次卷id */
    @Excel(name = "批次卷id")
    private Long paperId;

    /** 学生班级 */
    @Excel(name = "学生班级")
    private Long classId;

    /** 考卷ID */
    @Excel(name = "考卷ID")
    private Long examineeId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer status;

    private Integer count;

    public void setId(String id) 
    {
        this.id = id;
    }

    public String getId() 
    {
        return id;
    }

    public void setBatchId(Long batchId) 
    {
        this.batchId = batchId;
    }

    public Long getBatchId() 
    {
        return batchId;
    }

    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }

    public void setDirectKey(String directKey) 
    {
        this.directKey = directKey;
    }

    public String getDirectKey() 
    {
        return directKey;
    }

    public void setPaperId(Long paperId) 
    {
        this.paperId = paperId;
    }

    public Long getPaperId() 
    {
        return paperId;
    }

    public void setClassId(Long classId) 
    {
        this.classId = classId;
    }

    public Long getClassId() 
    {
        return classId;
    }

    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }

    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("batchId", getBatchId())
            .append("studentId", getStudentId())
            .append("directKey", getDirectKey())
            .append("paperId", getPaperId())
            .append("classId", getClassId())
            .append("examineeId", getExamineeId())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .toString();
    }
}
